From 40ec04a8bf36dd8d0aa3da98b167792ce2dcd114 Mon Sep 17 00:00:00 2001
From: Silvan Scherrer <silvan.scherrer@aroa.ch>
Date: Sun, 20 Sep 2020 12:52:08 +0200
Subject: [PATCH] add pthread as a dependency of a static lib

Downloaded from https://trac.netlabs.org/ports/changeset/2220

Patch sent upstream:
https://gitlab.freedesktop.org/fontconfig/fontconfig/-/merge_requests/121

Signed-off-by: Bernd Kuhls <bernd.kuhls@t-online.de>
---
 configure.ac     | 2 ++
 fontconfig.pc.in | 4 ++--
 2 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/configure.ac b/configure.ac
index f3189a7..594d6fd 100644
--- a/configure.ac
+++ b/configure.ac
@@ -690,6 +690,8 @@ fi
 have_pthread=false
 if test "$os_win32" = no; then
 	AX_PTHREAD([have_pthread=true])
+	AC_SUBST(PTHREAD_CFLAGS)
+	AC_SUBST(PTHREAD_LIBS)
 fi
 if $have_pthread; then
 	LIBS="$PTHREAD_LIBS $LIBS"
diff --git a/fontconfig.pc.in b/fontconfig.pc.in
index 61b35fb..f823bac 100644
--- a/fontconfig.pc.in
+++ b/fontconfig.pc.in
@@ -14,5 +14,5 @@ Version: @VERSION@
 Requires: @PKGCONFIG_REQUIRES@
 Requires.private: @PKGCONFIG_REQUIRES_PRIVATELY@
 Libs: -L${libdir} -lfontconfig
-Libs.private: @ICONV_LIBS@ @PKG_EXPAT_LIBS@
-Cflags: -I${includedir} @ICONV_CFLAGS@ @PKG_EXPAT_CFLAGS@
+Libs.private: @ICONV_LIBS@ @PKG_EXPAT_LIBS@ @PTHREAD_LIBS@
+Cflags: -I${includedir} @ICONV_CFLAGS@ @PKG_EXPAT_CFLAGS@ @PTHREAD_CFLAGS@
-- 
2.27.0

